
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ubuntu(debian)使用apt工具集的用法 / iVAN</title>

    <meta name="description" content="ubuntu(debian)使用apt工具集的用法 ubuntu(debian)下使用 apt-get 或 synaptic(新立得) 安装软件是件很轻松的事情. 除了简单的安装软件, apt工具集还有许多特别情况下的用法. 任何时候请记住 man 手册是良师. 1. 使用 aptitude 代替 apt-get . aptitude 虽然没有 apt-get 的&quot;超级牛力&quot;, 但功能却比 apt-get 更强大 首先, 像 apt-get 一样, 可以安装软件 aptitude install pack-foo aptitu ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ubuntu(debian)使用apt工具集的用法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>ubuntu(debian)下使用 apt-get 或 synaptic(新立得) 安装软件是件很轻松的事情. 除了简单的安装软件, apt工具集还有许多特别情况下的用法.</p>
<p>任何时候请记住 man 手册是良师.</p>
<p>1. 使用 aptitude 代替 apt-get .</p>
<p>aptitude 虽然没有 apt-get 的&quot;超级牛力&quot;, 但功能却比 apt-get 更强大 <br />首先, 像 apt-get 一样, 可以安装软件</p>
<p>aptitude install pack-foo</p>
<p>aptitude 解决依赖关系比 apt-get 更智能. 有时用 apt-get 安装软件时会出现 &quot;XXX 需要 XXXX, 但 XXX 已安装&quot; 这类的错误. 这通常是因为某些软件包过新造成的. 此时使用 aptitude, aptitude 会发现问题并给出几个解决方案, 我们只需接受符合心意的方案就可以了.</p>
<p>aptitude 的另外一个优点是会自动记录那些包是&quot;自动安装&quot;(即因依赖关系而安装的), 如果依赖&quot;自动安装&quot;包的包都没被安装, 该&quot;自动安装&quot;包(此时已无用)就会自动删除.<br />使用这两个命令可以控制包的&quot;自动安装&quot;属性</p>
<p>aptitude markauto pack-foo #标记成&quot;自动安装&quot;<br />aptitude unmarkauto pack-foo #标记成&quot;手动安装&quot;</p>
<p>删除软件时使用 markauto 代替 remove, 就可以避免误删重要的包了.<br />当然, 新版的新立得和 apt-get 也有相似功能, 但貌似不与 aptitude 使用同一个数据库, 所以建议只使用 aptitude 管理软件包.</p>
<p>aptitude 还提供了更灵活的控制软件包版本的方式</p>
<p>hold&amp;&quot;&gt;nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; - 将软件包置于保持状态<br />unhold&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; - 取消对一个软件包的保持命令<br />forbid-version - 禁止 aptitude 升级到某一特定版本的软件包。</p>
<p>以前几周的 libcairo 事件作例子:</p>
<p>sudo aptitude install libcairo2=1.4.10-1ubuntu4 # 强制降级<br />sudo aptitude forbid-version libcairo2=1.4.10-1ubuntu4.1 # 封掉出错的版本<br />sudo aptitude markauto libcairo2 #恢复auto属性</p>
<p>参看 man 手册里对 install 操作的描述, 有更多控制方法.</p>
<p>aptitude reinstall 重新安装软件包, 相当于 apt-get --reinstall install<br />aptitude purge 彻底删除软件包, 相当于 apt-get --purge remove<br />一个小技巧</p>
<p>aptitude purge `dpkg -l|grep '^rc'|awk '{print $2}'`</p>
<p>aptitude 还集合了多个 apt 工具的功能</p>
<p>search&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; - 按名称 和/或 表达式搜索软件包<br />show&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; - 显示一个软件包的详细信息<br />download&nbsp;&nbsp;&nbsp;&nbsp; - 下载软件包的 .deb 文件</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 20:47:00</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ubuntu/" title="ubuntu">ubuntu</a>, <a href="https://www.iamivan.net/tag/debian/" title="debian">debian</a>, <a href="https://www.iamivan.net/tag/%e5%b7%a5%e5%85%b7%e9%9b%86/" title="工具集">工具集</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ubuntu(debian)使用apt工具集的用法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKyVoEp.html" rel="bookmark">老衣的工具集2015版</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  开发语言 C# 是大神Anders Hejlsberg从Borland跳槽到微软后亲自操刀打造的开发语言,关于这段过程的一些事情,你可以移步看看这篇文章.对于C#,依然有很多人狭隘的认为它只能开发.NET程序,甚至认为开发的程序只能跑在Windows上.但是实际上这都是错的,C#可以开发非.NET程序.甚至可以用写操作系统,更不用说开发基于Mono或者CoreFX运行在Linux.Mac等系统上的程序了.微软已经变得越来越开放了--另附,.NET Awesome 项目列表页:https://			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYkQP9z.html" rel="bookmark">Ubuntu&sol;Debian 自有软件包构建私有源详解&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Ubuntu/Debian 自有软件包构建私有源   linux在自建私有yum源方面,我们熟知redhat系列的createrepo命令,配合rpmbuild命令,使我们创建私有yum真是相当简单了,如果切换到debian系列下面呢?前面的文件讲解了怎么制作debian系列的deb包,但是没有讲怎么制作apt-get私有源,其实debian也有类似的createrepo命令.下面我们看看制作私有apt源的过程 安装制作工具: apt-get install dpkg-dev 创建deb文件目录			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGjDXOp.html" rel="bookmark">Ubuntu&sol;Debian上安装Nginx&plus;php环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				尽管Apache已经占据半片江山,但很多人仍然在寻找其他的方式去托管他们的站点,Apache不只是一个选择,其他很多优秀的服务器程序例如lighthttp和nginx也是不错的选择.本教程将要向您展现如何在Ubuntu操作系统上面安装,教程同样适用在Debian,尽管有一点点小差别,但并没有太大影响.怎么样,下面我们开始吧. 0.开始注意 为了完成教程中提到的操作,我们假设您已经安装了一个基本的Debian或者Ubuntu操作系统.怎么安装系统这是不同的教程了,这里就不再详细说明.本教程主要介绍			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJO2mvb.html" rel="bookmark">OpenVZ VPS主机一键安装VNC桌面环境（Ubuntu&comma; Debian&comma; CentOS）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有不少的朋友在阅读上面文章也是可以安装使用的,但是还有一些用户提到比较复杂,毕竟对于初次接触Linux的用户来说,输入命令都是一键难事.于是老蒋整理到OpenVZ VPS主机基于Ubuntu, Debian, CentOS这3个发行版本安装VNC远程桌面的教程.   第一.安装VNC一键包   A.Ubuntu(12.04 32或者64位)  代码如下 复制代码 apt-get update -y;apt-get upgrade -y;apt-get install nano -y;apt-ge			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My2Z1Zp.html" rel="bookmark">解析MySQL中mysqldump工具的基本用法&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				导出要用到MySQL的mysqldump工具,基本用法是:   shell&gt; mysqldump [OPTIONS] database [tables]   如果你不给定任何表,整个数据库将被导出.   通过执行mysqldump --help,你能得到你mysqldump的版本支持的选项表.   注意,如果你运行mysqldump没有--quick或--opt选项,mysqldump将在导出结果前装载整个结果集到内存中,如果你正在导出一个大的数据库,这将可能是一个问题.   mysqldump			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGm7q6M.html" rel="bookmark">Linux中在线安装nginx环境方法（Centos&sol;Ubuntu&sol;Debian&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先创建个文件 vi /etc/yum.repos.d/nginx.repo 复制下面文本,保存并退出 [nginx] name=nginx repo baseurl=http://nginx.org/packages/centos/$releasever/$basearch/ gpgcheck=0 enabled=1 运行以下命令进行安装 #yum install pcre  安装依赖包 #yum install nginx 后面整理了一些如/Ubuntu/Debian系统的安装包了 Red			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5N1Az.html" rel="bookmark">免费实用微软系统工具集推荐</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Windows Sysinternals Suite 是一套由微软官方免费提供的系统工具集,其中内置有大量超实用的免费系统维护小软件,譬如 Desktops (虚拟桌面).Process Explorer (进程浏览器).Autoruns (系统启动项管理) 等等,每一款都是超经典超实用的好工具,绝对值得大家了解.收藏并使用.由于该工具集中内置的实用工具实在太多,下面笔者这是简单的罗列了一下该工具集内的每一个工具的基本情况,希望在大家选择使用时有所帮助! 下面笔者将Windows Sysinte			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/yMAAAnM.html" rel="bookmark">qt-vs2012平台下将工具集改成VS2010 V100之后生成出错</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 vs2012平台下将工具集改成VS2010 V100之后生成出错 vs2012平台下新建QT application工程,将工具集改成VS2010 V100之后生成出错,情况如下:1&gt;qtmaind.lib(qtmain_win.obj) : error LNK2038: 检测到&quot;_MSC_VER&quot;的不匹配项: 值&quot;1700&quot;不匹配值&quot;1600&quot;(moc_rr.obj 中) 解决方案 工程属性-&gt;配置属性-&gt; 清单工具			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbKlvZM.html" rel="bookmark">一个J2EE项目的最小工具集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				j2ee|项目 Java世界的工具从来就乱花迷眼,但花哨的工具未必适合自己的团队.又一个项目快要结束之际,洗净铅华的总结出一些最必要的,能提供最大辅力加持的工具.参见&lt;死亡中旅&gt;2nd 第x章--最小工具集. 1.支持重构,TDD, Debug J2EE应用和Flying Error提示的IDE    a.重构:即使团队用的最多的只是Rename,Move,Extract Method等有限几个最基本的功能,但J2EE结构里牵一发动全身的事情太多了,重构会帮你把事情擦干净,形成依赖后,已不习惯			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEAXqb.html" rel="bookmark" class="title">嵌套DIV&colon;父DIV的高度不能根据子DIV自动变化的解决方案</a>
					<div>
						解决   &lt;div id=&quot;parent&quot;&gt;   &lt;div id=&quot;content&quot;&gt; &lt;/div&gt;&lt;/div&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrma6b.html" rel="bookmark" class="title">入门：非常基础&rpar;的Servlet／JSP配置详解</a>
					<div>
						js|servlet|详解 初学者问的诸如:&lt;怎样配置环境变量&gt;&lt;怎样运行Servlet&gt;啊?这样的问题太多了,现在我写一个初学者入门必读,以便对初学者有指导作用! 首先是下载 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKA9Op.html" rel="bookmark" class="title">ORACLE获取DDL的几种常用的方法</a>
					<div>
						oracle ORACLE获取DDL的几种常用的方法   作者:刘颖博 时间:2004-2-26 mail:liuyingbo@126.com,请指正   转载请注明出处及作者   大体的分为三种方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b35Wgp.html" rel="bookmark" class="title">Flash实用编程五---下雨动画的制作</a>
					<div>
						编程 思路: 先画一滴从下落再到散开的雨滴,然后持续不断地将这个雨滴复制到画面上,从而产生下雨的效果. 步骤: 1.打开Flash MX 2004,新建文档,设置文档大小550*400像素,帧频设为3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEPNAz.html" rel="bookmark" class="title">网站建设者如何应对关键词排名的下降</a>
					<div>
						虽然说网站关键词排名只是一种指数,但长期针对百度搜索引擎优化的站长都有一套自己的优化方法,通过从百度收录的各种迹象,可以轻而易举地发现自身网站建设中出现的各种不利因素,那么作为一名网站建设者,该如何应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0borPjz.html" rel="bookmark" class="title">基于Winsock API的VC网络编程实战</a>
					<div>
						随着计算机信息技术的飞速发展,互联网与人类社会的工作.生活越来越紧密相关,它已 经成为人类获取.交流信息的重要途径和手段.所以当前对于开发人员来说,网络编程已是 必备的技能.本实例详细介绍了如何利用W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRA7Vz.html" rel="bookmark" class="title">为何CPU风扇转速显示为零</a>
					<div>
						问:一台新配置的兼容机,平时使用一切正常.只是在主板BIOS中,CPU风扇转速报告为0rpm,而风扇实际运转情况却是良好的.这是怎么回事? 答: 估计是你将CPU风扇的电源线插在了备用风扇接口上.CP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wxP1p.html" rel="bookmark" class="title">photoshop制作浮雕字体的图文教程</a>
					<div>
						  浮雕字体就是一种立体字效果了,很多朋友需要使用到浮雕字体时都会网上下载这类字体了,但对于小编来讲不喜欢这样做,下面给各位整理了一个浮雕字体制作过程. 第一步:创建背景和文字 首先,你需要选择一张背 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8gmOb.html" rel="bookmark" class="title">大学生最适合用哪个系统：windows 7</a>
					<div>
						如果你还在为适用什么系统而烦恼,那么这篇文章将告诉你,给你使用win7系统的四个理由.让你根据你的实际情况,来选择最适合你的系统. 1 游戏性更好 相信用过windows 7系统的人都知道,win 7 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGVNrp.html" rel="bookmark" class="title">Word2007中艺术字的三维效果设置</a>
					<div>
						  在文档中添加艺术字,不仅可以起到美化的效果,还可以使得整篇文档更好的突出主题,那么如何能够做出艺术字的三维效果,使其在美化的基础上看起来更加的具有空间感呢,现在我们就一起学习一下吧. 操作步骤:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwJ1Qb.html" rel="bookmark" class="title">CPU中双核是什么意思</a>
					<div>
						  双核简单来说就是2个核心,核心(core酷睿2)又称为内核,是CPU最重要的组成部分.CPU中心那块隆起的芯片就是核心,是由单晶硅以一定的生产工艺制造出来的,CPU所有的计算.接受/存储命令.处理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGPY6p.html" rel="bookmark" class="title">新手该怎么购买固态硬盘</a>
					<div>
						  固态硬盘(SSD)如今已经不是新鲜的玩意,这几年来普及速度非常之快,固态硬盘是由可擦写的存储颗粒组成的新形式存储产品,可以用于台式机.笔记本上,由于存储介质的改变,大大提升了存储速度. 但是仍有不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3551M.html" rel="bookmark" class="title">怎么挑选一块适合自己电脑的显卡呢？</a>
					<div>
						  显卡是电脑的一个关键配件,一块好的显卡可以提升主机30%的 性能,但是并不是显卡越好就越适合,那么怎么挑选一块适合自己的显卡呢? 1.首先要知道自己电脑主机的定位,不是显卡价格越高就越好的,显卡分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1E0doM.html" rel="bookmark" class="title">光盘与U盘的速度比拼</a>
					<div>
						  以前装系统我们都是用光盘来安装的,但现在随着U盘的普及,U盘装系统也慢慢的流行了,但用U盘装系统还有其他的好处,不信?我们来测试一下. 这里以平台酷睿E8400处理器.华硕X48显卡.4GB/16 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWGGmb.html" rel="bookmark" class="title">java web合同管理系统的自动签署</a>
					<div>
						问题描述 java web合同管理系统的自动签署 java合同的自动签署问题,如果甲方或者乙方单独签字,超过7天,合同失效,如果双方签字,那么合同生效,请问怎么判断? 解决方案 双方签字各放在一个字段 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEEnwp.html" rel="bookmark" class="title">三星中国市场收入占全球比重超过25&percnt;</a>
					<div>
						飞象网讯(孙慧/文)4月7日,三星电子在北京举行了首届中国三星论坛,并发布了2010年在中国实现飞跃式发展的目标. 为此,三星电子聚集了全产品线的战略产品进行集中发布,并演示了全球首个3D电视及全套家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkJw7b.html" rel="bookmark" class="title">【转】MyEclipse 8&period;5注册方法</a>
					<div>
						MyEclipse 8.5无法注册 MyEclipse 8.5无法注册点击MyEclipse→subscription information后无反应点击Windows→preferences→MyE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3RNkz.html" rel="bookmark" class="title">myEclipse 5&period;5 怎么配置tomcat6&period;0文件</a>
					<div>
						问题描述 求详细步骤 解决方案 解决方案二:不用myeclipse,帮顶,你可以上网搜索,有很多的啊解决方案三:window--&gt;Preferences--&gt;MyEclipse-&gt;A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR5DEb.html" rel="bookmark" class="title">android st&period;&period;&period;-关于android studio打包问题</a>
					<div>
						问题描述 关于android studio打包问题 我用它打包 出现问题 Error:Error: This class should provide a default constructor (a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boK4DBb.html" rel="bookmark" class="title">destoon之一键登录设置&lowbar;php实例</a>
					<div>
						目前destoon已经支持QQ.新浪微博.百度.MSN帐号一键登录. 进入网站后台,会员管理  模块设置  会员整合选项卡,点击对应的申请帐号连接,申请接口帐号和密钥,填写提交. 一键登录需要服务器的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWK1qM.html" rel="bookmark" class="title">淘宝、搜狐博客屏蔽百度蜘蛛爬虫</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 据百度内部人士透露,百度电商平台将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5mq7p.html" rel="bookmark" class="title">epoll异步服务端程序，客户端采用多线程访问，服务端总是返回errno 9和107</a>
					<div>
						问题描述 epoll异步服务端程序,客户端采用多线程访问,服务端总是返回errno 9和107 #include #include #include #include #include #includ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNj38M.html" rel="bookmark" class="title">工行中国平安签署电子商务合作协议</a>
					<div>
						昨日,中国工商银行与http://www.aliyun.com/zixun/aggregation/36490.html&quot;&gt;中国平安保险(集团)举行&lt;电子商务战略合作协议&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEKkAM.html" rel="bookmark" class="title">WebMvcConfigurerAdapter</a>
					<div>
						  spring Boot 默认的处理方式就已经足够了,默认情况下Spring Boot 使用WebMvcAutoConfiguration中配置的各种属性. 建议使用Spring Boot 默认处理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxErvyp.html" rel="bookmark" class="title">C&plus;&plus;短路求值（逻辑与、逻辑或）实例&lowbar;C 语言</a>
					<div>
						本文实例讲述了C++短路求值(逻辑与.逻辑或),分享给大家供大家参考.具体方法分析如下: 1.逻辑或的短路 首先看如下代码: #include &lt;iostream&gt; using names ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYDE1b.html" rel="bookmark" class="title">双击treeView的节点时使不展开不折叠子节点</a>
					<div>
						有时候我们对树控件的双击默认操作不太满意,比如我们在双击一有子节点的节点的时候不希望打开或关闭它的子节点而想执行一个特定的操作,这时怎么来写呢,我这里有一个办法可以做到这一点:using System ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYN1Pep.html" rel="bookmark" class="title">《众妙之门&mdash;&mdash;网页排版设计制胜秘诀》&mdash;&mdash;3&period;3 为流畅地浏览而设计</a>
					<div>
						3.3 为流畅地浏览而设计 从便于浏览的角度来说,层级也很重要.当用户向下拖曳滚动条的时候,它帮助用户识别出网页上最重要的元素.为了提升网页浏览的流畅度,还有其他设计事项需要注意.其中,间隔就是一个重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmqROp.html" rel="bookmark" class="title">启动jboss为什么会出现下标越界呢，tomcat都能正常启动正常登陆！！！！！！</a>
					<div>
						问题描述 启动jboss为什么会出现下标越界呢,tomcat都能正常启动正常登陆!!!!!! 下面是我启动jboss时报的错: 09:23:05,677 ERROR [[/AgentBussiness ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn44gWb.html" rel="bookmark" class="title">C&plus;&plus;指针数组、数组指针、数组名及二维数组技巧汇总&lowbar;C 语言</a>
					<div>
						本文较为详细的分析了关于理解C++指针数组,数组指针,数组名,二维数组的一些技巧.是比较重要的概念,相信对于大家的C++程序设计有一定的帮助作用. 一.关于数组名 假设有数组: int a[3] =  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk75nOp.html" rel="bookmark" class="title">苹果终于出手打击App Store软件名称抢注</a>
					<div>
						苹果http://www.aliyun.com/zixun/aggregation/13811.html&quot;&gt;App Store软件商店中目前已有超过25万款软件,而苹果又要求软件名称必 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
